import React from 'react';
import type { PressableProps, View } from 'react-native';
import type { VariantProps } from 'tailwind-variants';
declare const button: any;
type ButtonVariants = VariantProps<typeof button>;
interface Props extends ButtonVariants, Omit<PressableProps, 'disabled'> {
    label?: string;
    loading?: boolean;
    className?: string;
    textClassName?: string;
}
export declare const Button: React.ForwardRefExoticComponent<Props & React.RefAttributes<View>>;
export {};
//# sourceMappingURL=button.d.ts.map