import { Colors } from '@/components/colors'
import { FocusAwareStatusBar, SafeAreaView, ScrollView, View } from '@/components/ui'
import * as React from 'react'
import { Button } from 'react-native-paper';
import CommonPrimeButton from '@/library/common-prime-button';



const IconDummyComponent = () => {
  return <View className='w-6 h-6 bg-red-500 rounded-full'/>
}
const IconDummyComponent2 = () => {
  return <View className='w-6 h-6 bg-blue-500 rounded-full'/>
}


export default function Paper () {
  return (
    <>
      <FocusAwareStatusBar />
      
      <SafeAreaView className="flex-1 px-6 pt-16">
        <View className="flex-1 justify-center items-center">
        <CommonPrimeButton 
          // disabled={true}
          // loading={true}
          style={{padding:10}}
          backgroundColor={'gray-700'}
          textColor={'white'}
          radius='rounded-2xl'
          leftIcon={{
            icon: <IconDummyComponent/>,
            gap: 4
          }}
        />
        </View>
      </SafeAreaView>
    </>
  );
}
